package com.example.hellocat.service.dao.gen;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;

import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.Property;
import org.greenrobot.greendao.internal.DaoConfig;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.database.DatabaseStatement;

import com.example.hellocat.model.Cat;

// THIS CODE IS GENERATED BY greenDAO, DO NOT EDIT.
/** 
 * DAO for table "CAT".
*/
public class CatDao extends AbstractDao<Cat, Void> {

    public static final String TABLENAME = "CAT";

    /**
     * Properties of entity Cat.<br/>
     * Can be used for QueryBuilder and for referencing column names.
     */
    public static class Properties {
        public final static Property Adaptability = new Property(0, Integer.class, "adaptability", false, "ADAPTABILITY");
        public final static Property Url = new Property(1, String.class, "url", false, "URL");
        public final static Property AffectionLevel = new Property(2, Integer.class, "affectionLevel", false, "AFFECTION_LEVEL");
        public final static Property AltNames = new Property(3, String.class, "altNames", false, "ALT_NAMES");
        public final static Property CfaUrl = new Property(4, String.class, "cfaUrl", false, "CFA_URL");
        public final static Property ChildFriendly = new Property(5, Integer.class, "childFriendly", false, "CHILD_FRIENDLY");
        public final static Property CountryCode = new Property(6, String.class, "countryCode", false, "COUNTRY_CODE");
        public final static Property CountryCodes = new Property(7, String.class, "countryCodes", false, "COUNTRY_CODES");
        public final static Property Description = new Property(8, String.class, "description", false, "DESCRIPTION");
        public final static Property DogFriendly = new Property(9, Integer.class, "dogFriendly", false, "DOG_FRIENDLY");
        public final static Property EnergyLevel = new Property(10, Integer.class, "energyLevel", false, "ENERGY_LEVEL");
        public final static Property Experimental = new Property(11, Integer.class, "experimental", false, "EXPERIMENTAL");
        public final static Property Grooming = new Property(12, Integer.class, "grooming", false, "GROOMING");
        public final static Property Hairless = new Property(13, Integer.class, "hairless", false, "HAIRLESS");
        public final static Property HealthIssues = new Property(14, Integer.class, "healthIssues", false, "HEALTH_ISSUES");
        public final static Property Hypoallergenic = new Property(15, Integer.class, "hypoallergenic", false, "HYPOALLERGENIC");
        public final static Property Id = new Property(16, String.class, "id", false, "ID");
        public final static Property Indoor = new Property(17, Integer.class, "indoor", false, "INDOOR");
        public final static Property Intelligence = new Property(18, Integer.class, "intelligence", false, "INTELLIGENCE");
        public final static Property Lap = new Property(19, Integer.class, "lap", false, "LAP");
        public final static Property LifeSpan = new Property(20, String.class, "lifeSpan", false, "LIFE_SPAN");
        public final static Property Name = new Property(21, String.class, "name", false, "NAME");
        public final static Property Natural = new Property(22, Integer.class, "natural", false, "NATURAL");
        public final static Property Origin = new Property(23, String.class, "origin", false, "ORIGIN");
        public final static Property Rare = new Property(24, Integer.class, "rare", false, "RARE");
        public final static Property Rex = new Property(25, Integer.class, "rex", false, "REX");
        public final static Property SheddingLevel = new Property(26, Integer.class, "sheddingLevel", false, "SHEDDING_LEVEL");
        public final static Property ShortLegs = new Property(27, Integer.class, "shortLegs", false, "SHORT_LEGS");
        public final static Property SocialNeeds = new Property(28, Integer.class, "socialNeeds", false, "SOCIAL_NEEDS");
        public final static Property StrangerFriendly = new Property(29, Integer.class, "strangerFriendly", false, "STRANGER_FRIENDLY");
        public final static Property SuppressedTail = new Property(30, Integer.class, "suppressedTail", false, "SUPPRESSED_TAIL");
        public final static Property Temperament = new Property(31, String.class, "temperament", false, "TEMPERAMENT");
        public final static Property VcahospitalsUrl = new Property(32, String.class, "vcahospitalsUrl", false, "VCAHOSPITALS_URL");
        public final static Property VetstreetUrl = new Property(33, String.class, "vetstreetUrl", false, "VETSTREET_URL");
        public final static Property Vocalisation = new Property(34, Integer.class, "vocalisation", false, "VOCALISATION");
        public final static Property WikipediaUrl = new Property(35, String.class, "wikipediaUrl", false, "WIKIPEDIA_URL");
    }


    public CatDao(DaoConfig config) {
        super(config);
    }
    
    public CatDao(DaoConfig config, DaoSession daoSession) {
        super(config, daoSession);
    }

    /** Creates the underlying database table. */
    public static void createTable(Database db, boolean ifNotExists) {
        String constraint = ifNotExists? "IF NOT EXISTS ": "";
        db.execSQL("CREATE TABLE " + constraint + "\"CAT\" (" + //
                "\"ADAPTABILITY\" INTEGER," + // 0: adaptability
                "\"URL\" TEXT," + // 1: url
                "\"AFFECTION_LEVEL\" INTEGER," + // 2: affectionLevel
                "\"ALT_NAMES\" TEXT," + // 3: altNames
                "\"CFA_URL\" TEXT," + // 4: cfaUrl
                "\"CHILD_FRIENDLY\" INTEGER," + // 5: childFriendly
                "\"COUNTRY_CODE\" TEXT," + // 6: countryCode
                "\"COUNTRY_CODES\" TEXT," + // 7: countryCodes
                "\"DESCRIPTION\" TEXT," + // 8: description
                "\"DOG_FRIENDLY\" INTEGER," + // 9: dogFriendly
                "\"ENERGY_LEVEL\" INTEGER," + // 10: energyLevel
                "\"EXPERIMENTAL\" INTEGER," + // 11: experimental
                "\"GROOMING\" INTEGER," + // 12: grooming
                "\"HAIRLESS\" INTEGER," + // 13: hairless
                "\"HEALTH_ISSUES\" INTEGER," + // 14: healthIssues
                "\"HYPOALLERGENIC\" INTEGER," + // 15: hypoallergenic
                "\"ID\" TEXT UNIQUE ," + // 16: id
                "\"INDOOR\" INTEGER," + // 17: indoor
                "\"INTELLIGENCE\" INTEGER," + // 18: intelligence
                "\"LAP\" INTEGER," + // 19: lap
                "\"LIFE_SPAN\" TEXT," + // 20: lifeSpan
                "\"NAME\" TEXT," + // 21: name
                "\"NATURAL\" INTEGER," + // 22: natural
                "\"ORIGIN\" TEXT," + // 23: origin
                "\"RARE\" INTEGER," + // 24: rare
                "\"REX\" INTEGER," + // 25: rex
                "\"SHEDDING_LEVEL\" INTEGER," + // 26: sheddingLevel
                "\"SHORT_LEGS\" INTEGER," + // 27: shortLegs
                "\"SOCIAL_NEEDS\" INTEGER," + // 28: socialNeeds
                "\"STRANGER_FRIENDLY\" INTEGER," + // 29: strangerFriendly
                "\"SUPPRESSED_TAIL\" INTEGER," + // 30: suppressedTail
                "\"TEMPERAMENT\" TEXT," + // 31: temperament
                "\"VCAHOSPITALS_URL\" TEXT," + // 32: vcahospitalsUrl
                "\"VETSTREET_URL\" TEXT," + // 33: vetstreetUrl
                "\"VOCALISATION\" INTEGER," + // 34: vocalisation
                "\"WIKIPEDIA_URL\" TEXT);"); // 35: wikipediaUrl
    }

    /** Drops the underlying database table. */
    public static void dropTable(Database db, boolean ifExists) {
        String sql = "DROP TABLE " + (ifExists ? "IF EXISTS " : "") + "\"CAT\"";
        db.execSQL(sql);
    }

    @Override
    protected final void bindValues(DatabaseStatement stmt, Cat entity) {
        stmt.clearBindings();
 
        Integer adaptability = entity.getAdaptability();
        if (adaptability != null) {
            stmt.bindLong(1, adaptability);
        }
 
        String url = entity.getUrl();
        if (url != null) {
            stmt.bindString(2, url);
        }
 
        Integer affectionLevel = entity.getAffectionLevel();
        if (affectionLevel != null) {
            stmt.bindLong(3, affectionLevel);
        }
 
        String altNames = entity.getAltNames();
        if (altNames != null) {
            stmt.bindString(4, altNames);
        }
 
        String cfaUrl = entity.getCfaUrl();
        if (cfaUrl != null) {
            stmt.bindString(5, cfaUrl);
        }
 
        Integer childFriendly = entity.getChildFriendly();
        if (childFriendly != null) {
            stmt.bindLong(6, childFriendly);
        }
 
        String countryCode = entity.getCountryCode();
        if (countryCode != null) {
            stmt.bindString(7, countryCode);
        }
 
        String countryCodes = entity.getCountryCodes();
        if (countryCodes != null) {
            stmt.bindString(8, countryCodes);
        }
 
        String description = entity.getDescription();
        if (description != null) {
            stmt.bindString(9, description);
        }
 
        Integer dogFriendly = entity.getDogFriendly();
        if (dogFriendly != null) {
            stmt.bindLong(10, dogFriendly);
        }
 
        Integer energyLevel = entity.getEnergyLevel();
        if (energyLevel != null) {
            stmt.bindLong(11, energyLevel);
        }
 
        Integer experimental = entity.getExperimental();
        if (experimental != null) {
            stmt.bindLong(12, experimental);
        }
 
        Integer grooming = entity.getGrooming();
        if (grooming != null) {
            stmt.bindLong(13, grooming);
        }
 
        Integer hairless = entity.getHairless();
        if (hairless != null) {
            stmt.bindLong(14, hairless);
        }
 
        Integer healthIssues = entity.getHealthIssues();
        if (healthIssues != null) {
            stmt.bindLong(15, healthIssues);
        }
 
        Integer hypoallergenic = entity.getHypoallergenic();
        if (hypoallergenic != null) {
            stmt.bindLong(16, hypoallergenic);
        }
 
        String id = entity.getId();
        if (id != null) {
            stmt.bindString(17, id);
        }
 
        Integer indoor = entity.getIndoor();
        if (indoor != null) {
            stmt.bindLong(18, indoor);
        }
 
        Integer intelligence = entity.getIntelligence();
        if (intelligence != null) {
            stmt.bindLong(19, intelligence);
        }
 
        Integer lap = entity.getLap();
        if (lap != null) {
            stmt.bindLong(20, lap);
        }
 
        String lifeSpan = entity.getLifeSpan();
        if (lifeSpan != null) {
            stmt.bindString(21, lifeSpan);
        }
 
        String name = entity.getName();
        if (name != null) {
            stmt.bindString(22, name);
        }
 
        Integer natural = entity.getNatural();
        if (natural != null) {
            stmt.bindLong(23, natural);
        }
 
        String origin = entity.getOrigin();
        if (origin != null) {
            stmt.bindString(24, origin);
        }
 
        Integer rare = entity.getRare();
        if (rare != null) {
            stmt.bindLong(25, rare);
        }
 
        Integer rex = entity.getRex();
        if (rex != null) {
            stmt.bindLong(26, rex);
        }
 
        Integer sheddingLevel = entity.getSheddingLevel();
        if (sheddingLevel != null) {
            stmt.bindLong(27, sheddingLevel);
        }
 
        Integer shortLegs = entity.getShortLegs();
        if (shortLegs != null) {
            stmt.bindLong(28, shortLegs);
        }
 
        Integer socialNeeds = entity.getSocialNeeds();
        if (socialNeeds != null) {
            stmt.bindLong(29, socialNeeds);
        }
 
        Integer strangerFriendly = entity.getStrangerFriendly();
        if (strangerFriendly != null) {
            stmt.bindLong(30, strangerFriendly);
        }
 
        Integer suppressedTail = entity.getSuppressedTail();
        if (suppressedTail != null) {
            stmt.bindLong(31, suppressedTail);
        }
 
        String temperament = entity.getTemperament();
        if (temperament != null) {
            stmt.bindString(32, temperament);
        }
 
        String vcahospitalsUrl = entity.getVcahospitalsUrl();
        if (vcahospitalsUrl != null) {
            stmt.bindString(33, vcahospitalsUrl);
        }
 
        String vetstreetUrl = entity.getVetstreetUrl();
        if (vetstreetUrl != null) {
            stmt.bindString(34, vetstreetUrl);
        }
 
        Integer vocalisation = entity.getVocalisation();
        if (vocalisation != null) {
            stmt.bindLong(35, vocalisation);
        }
 
        String wikipediaUrl = entity.getWikipediaUrl();
        if (wikipediaUrl != null) {
            stmt.bindString(36, wikipediaUrl);
        }
    }

    @Override
    protected final void bindValues(SQLiteStatement stmt, Cat entity) {
        stmt.clearBindings();
 
        Integer adaptability = entity.getAdaptability();
        if (adaptability != null) {
            stmt.bindLong(1, adaptability);
        }
 
        String url = entity.getUrl();
        if (url != null) {
            stmt.bindString(2, url);
        }
 
        Integer affectionLevel = entity.getAffectionLevel();
        if (affectionLevel != null) {
            stmt.bindLong(3, affectionLevel);
        }
 
        String altNames = entity.getAltNames();
        if (altNames != null) {
            stmt.bindString(4, altNames);
        }
 
        String cfaUrl = entity.getCfaUrl();
        if (cfaUrl != null) {
            stmt.bindString(5, cfaUrl);
        }
 
        Integer childFriendly = entity.getChildFriendly();
        if (childFriendly != null) {
            stmt.bindLong(6, childFriendly);
        }
 
        String countryCode = entity.getCountryCode();
        if (countryCode != null) {
            stmt.bindString(7, countryCode);
        }
 
        String countryCodes = entity.getCountryCodes();
        if (countryCodes != null) {
            stmt.bindString(8, countryCodes);
        }
 
        String description = entity.getDescription();
        if (description != null) {
            stmt.bindString(9, description);
        }
 
        Integer dogFriendly = entity.getDogFriendly();
        if (dogFriendly != null) {
            stmt.bindLong(10, dogFriendly);
        }
 
        Integer energyLevel = entity.getEnergyLevel();
        if (energyLevel != null) {
            stmt.bindLong(11, energyLevel);
        }
 
        Integer experimental = entity.getExperimental();
        if (experimental != null) {
            stmt.bindLong(12, experimental);
        }
 
        Integer grooming = entity.getGrooming();
        if (grooming != null) {
            stmt.bindLong(13, grooming);
        }
 
        Integer hairless = entity.getHairless();
        if (hairless != null) {
            stmt.bindLong(14, hairless);
        }
 
        Integer healthIssues = entity.getHealthIssues();
        if (healthIssues != null) {
            stmt.bindLong(15, healthIssues);
        }
 
        Integer hypoallergenic = entity.getHypoallergenic();
        if (hypoallergenic != null) {
            stmt.bindLong(16, hypoallergenic);
        }
 
        String id = entity.getId();
        if (id != null) {
            stmt.bindString(17, id);
        }
 
        Integer indoor = entity.getIndoor();
        if (indoor != null) {
            stmt.bindLong(18, indoor);
        }
 
        Integer intelligence = entity.getIntelligence();
        if (intelligence != null) {
            stmt.bindLong(19, intelligence);
        }
 
        Integer lap = entity.getLap();
        if (lap != null) {
            stmt.bindLong(20, lap);
        }
 
        String lifeSpan = entity.getLifeSpan();
        if (lifeSpan != null) {
            stmt.bindString(21, lifeSpan);
        }
 
        String name = entity.getName();
        if (name != null) {
            stmt.bindString(22, name);
        }
 
        Integer natural = entity.getNatural();
        if (natural != null) {
            stmt.bindLong(23, natural);
        }
 
        String origin = entity.getOrigin();
        if (origin != null) {
            stmt.bindString(24, origin);
        }
 
        Integer rare = entity.getRare();
        if (rare != null) {
            stmt.bindLong(25, rare);
        }
 
        Integer rex = entity.getRex();
        if (rex != null) {
            stmt.bindLong(26, rex);
        }
 
        Integer sheddingLevel = entity.getSheddingLevel();
        if (sheddingLevel != null) {
            stmt.bindLong(27, sheddingLevel);
        }
 
        Integer shortLegs = entity.getShortLegs();
        if (shortLegs != null) {
            stmt.bindLong(28, shortLegs);
        }
 
        Integer socialNeeds = entity.getSocialNeeds();
        if (socialNeeds != null) {
            stmt.bindLong(29, socialNeeds);
        }
 
        Integer strangerFriendly = entity.getStrangerFriendly();
        if (strangerFriendly != null) {
            stmt.bindLong(30, strangerFriendly);
        }
 
        Integer suppressedTail = entity.getSuppressedTail();
        if (suppressedTail != null) {
            stmt.bindLong(31, suppressedTail);
        }
 
        String temperament = entity.getTemperament();
        if (temperament != null) {
            stmt.bindString(32, temperament);
        }
 
        String vcahospitalsUrl = entity.getVcahospitalsUrl();
        if (vcahospitalsUrl != null) {
            stmt.bindString(33, vcahospitalsUrl);
        }
 
        String vetstreetUrl = entity.getVetstreetUrl();
        if (vetstreetUrl != null) {
            stmt.bindString(34, vetstreetUrl);
        }
 
        Integer vocalisation = entity.getVocalisation();
        if (vocalisation != null) {
            stmt.bindLong(35, vocalisation);
        }
 
        String wikipediaUrl = entity.getWikipediaUrl();
        if (wikipediaUrl != null) {
            stmt.bindString(36, wikipediaUrl);
        }
    }

    @Override
    public Void readKey(Cursor cursor, int offset) {
        return null;
    }    

    @Override
    public Cat readEntity(Cursor cursor, int offset) {
        Cat entity = new Cat( //
            cursor.isNull(offset + 0) ? null : cursor.getInt(offset + 0), // adaptability
            cursor.isNull(offset + 1) ? null : cursor.getString(offset + 1), // url
            cursor.isNull(offset + 2) ? null : cursor.getInt(offset + 2), // affectionLevel
            cursor.isNull(offset + 3) ? null : cursor.getString(offset + 3), // altNames
            cursor.isNull(offset + 4) ? null : cursor.getString(offset + 4), // cfaUrl
            cursor.isNull(offset + 5) ? null : cursor.getInt(offset + 5), // childFriendly
            cursor.isNull(offset + 6) ? null : cursor.getString(offset + 6), // countryCode
            cursor.isNull(offset + 7) ? null : cursor.getString(offset + 7), // countryCodes
            cursor.isNull(offset + 8) ? null : cursor.getString(offset + 8), // description
            cursor.isNull(offset + 9) ? null : cursor.getInt(offset + 9), // dogFriendly
            cursor.isNull(offset + 10) ? null : cursor.getInt(offset + 10), // energyLevel
            cursor.isNull(offset + 11) ? null : cursor.getInt(offset + 11), // experimental
            cursor.isNull(offset + 12) ? null : cursor.getInt(offset + 12), // grooming
            cursor.isNull(offset + 13) ? null : cursor.getInt(offset + 13), // hairless
            cursor.isNull(offset + 14) ? null : cursor.getInt(offset + 14), // healthIssues
            cursor.isNull(offset + 15) ? null : cursor.getInt(offset + 15), // hypoallergenic
            cursor.isNull(offset + 16) ? null : cursor.getString(offset + 16), // id
            cursor.isNull(offset + 17) ? null : cursor.getInt(offset + 17), // indoor
            cursor.isNull(offset + 18) ? null : cursor.getInt(offset + 18), // intelligence
            cursor.isNull(offset + 19) ? null : cursor.getInt(offset + 19), // lap
            cursor.isNull(offset + 20) ? null : cursor.getString(offset + 20), // lifeSpan
            cursor.isNull(offset + 21) ? null : cursor.getString(offset + 21), // name
            cursor.isNull(offset + 22) ? null : cursor.getInt(offset + 22), // natural
            cursor.isNull(offset + 23) ? null : cursor.getString(offset + 23), // origin
            cursor.isNull(offset + 24) ? null : cursor.getInt(offset + 24), // rare
            cursor.isNull(offset + 25) ? null : cursor.getInt(offset + 25), // rex
            cursor.isNull(offset + 26) ? null : cursor.getInt(offset + 26), // sheddingLevel
            cursor.isNull(offset + 27) ? null : cursor.getInt(offset + 27), // shortLegs
            cursor.isNull(offset + 28) ? null : cursor.getInt(offset + 28), // socialNeeds
            cursor.isNull(offset + 29) ? null : cursor.getInt(offset + 29), // strangerFriendly
            cursor.isNull(offset + 30) ? null : cursor.getInt(offset + 30), // suppressedTail
            cursor.isNull(offset + 31) ? null : cursor.getString(offset + 31), // temperament
            cursor.isNull(offset + 32) ? null : cursor.getString(offset + 32), // vcahospitalsUrl
            cursor.isNull(offset + 33) ? null : cursor.getString(offset + 33), // vetstreetUrl
            cursor.isNull(offset + 34) ? null : cursor.getInt(offset + 34), // vocalisation
            cursor.isNull(offset + 35) ? null : cursor.getString(offset + 35) // wikipediaUrl
        );
        return entity;
    }
     
    @Override
    public void readEntity(Cursor cursor, Cat entity, int offset) {
        entity.setAdaptability(cursor.isNull(offset + 0) ? null : cursor.getInt(offset + 0));
        entity.setUrl(cursor.isNull(offset + 1) ? null : cursor.getString(offset + 1));
        entity.setAffectionLevel(cursor.isNull(offset + 2) ? null : cursor.getInt(offset + 2));
        entity.setAltNames(cursor.isNull(offset + 3) ? null : cursor.getString(offset + 3));
        entity.setCfaUrl(cursor.isNull(offset + 4) ? null : cursor.getString(offset + 4));
        entity.setChildFriendly(cursor.isNull(offset + 5) ? null : cursor.getInt(offset + 5));
        entity.setCountryCode(cursor.isNull(offset + 6) ? null : cursor.getString(offset + 6));
        entity.setCountryCodes(cursor.isNull(offset + 7) ? null : cursor.getString(offset + 7));
        entity.setDescription(cursor.isNull(offset + 8) ? null : cursor.getString(offset + 8));
        entity.setDogFriendly(cursor.isNull(offset + 9) ? null : cursor.getInt(offset + 9));
        entity.setEnergyLevel(cursor.isNull(offset + 10) ? null : cursor.getInt(offset + 10));
        entity.setExperimental(cursor.isNull(offset + 11) ? null : cursor.getInt(offset + 11));
        entity.setGrooming(cursor.isNull(offset + 12) ? null : cursor.getInt(offset + 12));
        entity.setHairless(cursor.isNull(offset + 13) ? null : cursor.getInt(offset + 13));
        entity.setHealthIssues(cursor.isNull(offset + 14) ? null : cursor.getInt(offset + 14));
        entity.setHypoallergenic(cursor.isNull(offset + 15) ? null : cursor.getInt(offset + 15));
        entity.setId(cursor.isNull(offset + 16) ? null : cursor.getString(offset + 16));
        entity.setIndoor(cursor.isNull(offset + 17) ? null : cursor.getInt(offset + 17));
        entity.setIntelligence(cursor.isNull(offset + 18) ? null : cursor.getInt(offset + 18));
        entity.setLap(cursor.isNull(offset + 19) ? null : cursor.getInt(offset + 19));
        entity.setLifeSpan(cursor.isNull(offset + 20) ? null : cursor.getString(offset + 20));
        entity.setName(cursor.isNull(offset + 21) ? null : cursor.getString(offset + 21));
        entity.setNatural(cursor.isNull(offset + 22) ? null : cursor.getInt(offset + 22));
        entity.setOrigin(cursor.isNull(offset + 23) ? null : cursor.getString(offset + 23));
        entity.setRare(cursor.isNull(offset + 24) ? null : cursor.getInt(offset + 24));
        entity.setRex(cursor.isNull(offset + 25) ? null : cursor.getInt(offset + 25));
        entity.setSheddingLevel(cursor.isNull(offset + 26) ? null : cursor.getInt(offset + 26));
        entity.setShortLegs(cursor.isNull(offset + 27) ? null : cursor.getInt(offset + 27));
        entity.setSocialNeeds(cursor.isNull(offset + 28) ? null : cursor.getInt(offset + 28));
        entity.setStrangerFriendly(cursor.isNull(offset + 29) ? null : cursor.getInt(offset + 29));
        entity.setSuppressedTail(cursor.isNull(offset + 30) ? null : cursor.getInt(offset + 30));
        entity.setTemperament(cursor.isNull(offset + 31) ? null : cursor.getString(offset + 31));
        entity.setVcahospitalsUrl(cursor.isNull(offset + 32) ? null : cursor.getString(offset + 32));
        entity.setVetstreetUrl(cursor.isNull(offset + 33) ? null : cursor.getString(offset + 33));
        entity.setVocalisation(cursor.isNull(offset + 34) ? null : cursor.getInt(offset + 34));
        entity.setWikipediaUrl(cursor.isNull(offset + 35) ? null : cursor.getString(offset + 35));
     }
    
    @Override
    protected final Void updateKeyAfterInsert(Cat entity, long rowId) {
        // Unsupported or missing PK type
        return null;
    }
    
    @Override
    public Void getKey(Cat entity) {
        return null;
    }

    @Override
    public boolean hasKey(Cat entity) {
        // TODO
        return false;
    }

    @Override
    protected final boolean isEntityUpdateable() {
        return true;
    }
    
}
